40,000 models/drawings free at McMaster-Carr

cad

    Sponsored Links

    Next

  • 1. Point To Excel
    Where I can find information for build macro to read 3d Part points and export to Excel. Thank you.
  • 2. Lazy programmers?
    As I understand it, all of the help files are "registered" in the registry, So why can't the help file be a part of the SW upgrade package, instead of being a separate zip file? Is this lazy programming or is there a reasonable answer to this?
  • 3. TIP of the DAY: Toggling in Property Manager
    This is kind of a windows thing that I just ran across today. Depending on where you last clicked on a property manager dialog box hitting the space bar has different, but useful, effects. Last clicked in text box (such as entering a dimension.) Hitting the space bar will add a space. Nothing new here. Last clicked in a check box as in creating a reference plane by distance and clicking in the reverse plane check box. Hitting the space bar will toggle the checkmark, i.e., move the plane from side to side of the starting plane. Last clicked in a rollup box in property manager. Hitting the spacebar will cause the box to rollup or expand. Last clicked on an icon on the left side of the property manager, i.e., the distance plane icon in reference plane PM. Hitting the spacebar will toggle the icon off then on then clear the text. In a PM which has multiple rollup boxes the behaviour of the spacebar is inconsistent except for checkboxes.
  • 4. Get referenced entityname of sketch entity API
    LS, I'm working on a macro that selects sketchsegments based on the name of the referenced entity (all segments are converted from a 3d model into a 2d drawing). But I just can't get the relations properly. Can anyone help?? Thanx I'm using this code: Dim swApp As SldWorks.SldWorks Dim model As SldWorks.ModelDoc2 Dim swsketch As SldWorks.sketch Dim swsketchseg As SldWorks.SketchSegment Dim swsketch_relman As SldWorks.SketchRelationManager Dim swsketch_rel As SldWorks.SketchRelation Dim draw As SldWorks.DrawingDoc Dim boolstatus As Boolean Dim longstatus As Long, longwarnings As Long Dim FeatureData As Object Dim Feature As Object Dim Component As Object Sub main() Set swApp = Application.SldWorks Set model = swApp.ActiveDoc Set swsketch = model.GetActiveSketch2 If Not swsketch Is Nothing Then Set swsketch_relman = swsketch.RelationManager vswsketchseg = swsketch.GetSketchSegments For sketchsegcount_drw = 0 To UBound(vswsketchseg) Set swsketchseg = vswsketchseg(sketchsegcount_drw) swsketchseg.Select (True) swsketchseg_relcount = swsketchseg.GetRelationsCount swsketchrels = swsketchseg.GetRelations Set swsketch_rel = swsketchrels DefEnt_arr = swsketch_rel.GetDefinitionEntities Next sketchsegcount_drw End If End Sub
  • 5. Printing in a mosaic/tiling
    Firs I need to print 6 parts at 1:1 scale on 8.5 X 11 sheet so they can b used as templates for tracing the parts out (woodworking) Second These parts are bigger than an 8.5 X 11 sheet of paper. So some sor of a mosaic will have to be done. With each sheet contaning section of the part and then the sheets will be tapped together t form 1 sheet with the part at full scale. I hope I explained tha ok Is this possible with SW? If so how does one do this? Utimatly need the sheets saved as .pdf's. I'm sure this is not the easiest way to do it but it's how th customer wants it done Thank SW 2005 SP0.

40,000 models/drawings free at McMaster-Carr

Postby western1812 » Sat, 16 Apr 2005 01:33:32 GMT

 http://www.**--****.com/ 

Has most Solidworks models for direct download.

Very detailed and great for running COSMOS prior to construction.

WV


Re: 40,000 models/drawings free at McMaster-Carr

Postby Mr. Me » Sat, 16 Apr 2005 10:18:36 GMT

I clicked on at least 20 assorted items and no models.  Do you have a 
specific example?








Re: 40,000 models/drawings free at McMaster-Carr

Postby Keith Streich » Sat, 16 Apr 2005 22:01:37 GMT

We had the McMaster boys in on 4-13-05 and they were asking about
suggestions, changes and how we used their website.  The first thing which
popped into my mind was to make their 3D models more accessible.

Instead of searching and searching down through all their items, then
entering given specifications, then showing if there was an available
models, just get me to the parts.  If something is exactly as I require,
great, they are number one on the vendor list.  If not, let me modify an
available model/solid for my requirements and I'll search for vendors later,
but I'll get my work done.

They could be a great source for part data and part dimensional
representation.

Give me your thoughts, I'm sure they are still open for suggestions and I'm
positive they don't watch this group.

I just thought it would be nice to see what everyone else thought.

-- 
Keith Streich
Pflow Industries, Inc
6720 North Teutonia Avenue
Milwaukee, WI 53209

(414) 352-9000
(414) 352-9002 FAX
(414) 247-9809 x124 Direct

 XXXX@XXXXX.COM 
www.pflow.com












Similar Threads:

1.IMPORT: McMaster Carr parts

Just had a user come to me with a problem. He stated that a pipe
fitting he had downloaded from McMaster had zero weight. I looked into
it and the part was scaled down by 25.4 in the STEP file he had
gotten. Has anybody else run into this?

There were two possible fixes. One was to import with template units
and use mm. The other was to scale the part.

One cause I thought of was that whoever created the STEP didn't write
units into the file since SW by default looks for units in STEP files.

TOP

2007 SP3.1

2.Charted drawings - Models warped but flat drawing charted

Ok fellas,
    I will do my best to explain what we do and hopefully it isn't as
difficult as it seems.

We have a sidewall on a body that has a large curve to it.  The model of the
sidewall is modeled curved as that's how it fits into the weldment.  However
the sheet is cut flat and not bent but warped during manufacturing and
welded in place.  What I have then is a model of a curved sheet that really
needs a drawing showing just the flat.  The problem is I want to chart these
with other flats of the same material.  Is there a way to do this.  Cutting
just cuts a flat sheet out of 11 ga material and any other 11 ga could be
charted on this drawing.

If this isn't clear let me know and I'll try to explain better.

Thanks


3.Free 3D solid model for a sailboat - hull3d.dwg

4.Free bus & tram 3d models

5.Solid Edge With Synchronous Technology History Free Feature Based Modeling

6. Download FREE 3D Models!

7. Free download 3d model 3ds and obj format.

8. History Free Modeling



Return to cad

 

Who is online

Users browsing this forum: No registered users and 75 guest